Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Authorization header containing the JWT access token returned from the generate token endpoint. The token already includes the Bearer prefix. Example: Authorization: Bearer eyJhbGciOi...

Path Parameters

billPayNumber
string
required

BillPay number to query for details

Response

Successfully queried for BillPay number details

billPayNumber
string

BillPay number - This is the number that will be used to make payment. If a custom billReference was provided in the request, this will match that value.

Example:

"55042914871931"

billDescription
string

Description of the bill

Example:

"Generic Bamboo Chees"

billCustomerName
string

Name of the customer - for customer billpay numbers

Example:

"Mr. Freddie Walker-Graham"

billAmount
number

Target/expected bill payment amount

Example:

90900

billMaxCollectionAmount
number

Max total this control number can collect

Example:

150000

billRemainingAmount
number

How much can still be collected

Example:

60000

billPaymentMode
string

Payment mode for the bill

Example:

"ALLOW_PARTIAL_AND_OVER_PAYMENT"